public class DemoSimulator
{
   public static void main(String[] args)
   {
      ArmSimulator arm = new ArmSimulator();
      
      arm.openWindow();
      arm.ready();
      
      // The arm in the ready position has joint angles of
      //  waist     : 0    deg
      //  shoulder  : 90   deg
      //  elbow     : -90  deg
      //  wrist     : 0    deg
      //  twist     : 0    deg
      //
      // this is equivalent to calling
      //
      // arm.madeg(0, 90, -90, 0, 0);
      //
      // The gripper has a range of zero to two inches when using
      // the grip command in the simulator.
      // Unfortunately, the grip command no longer works on the
      // actual robot; you should use the open and close commands instead
      // (which are not implemented in the simulator).
      
      for(;;) 
      {
         arm.madeg(-100, 0, 0, 0, 90);
         arm.madeg(70, 80, 0, 0, -90);
         arm.madeg(0, 60, -45, -50, 0);
         arm.grip(0);
         arm.madeg(-90, 100, 0, 0, -90);
         arm.madeg(90, 80, 0, 0, 45);
         arm.grip(2);
      }
   }
}

